---
lang: en
title: 'API docs: rest-crud.repositoryclass._new_'
keywords: LoopBack 4.0, LoopBack 4
sidebar: lb4_sidebar
editurl: https://github.com/strongloop/loopback-next/tree/master/packages/rest-crud
permalink: /doc/en/lb4/apidocs.rest-crud.repositoryclass._new_.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/rest-crud](./rest-crud.md) &gt; [RepositoryClass](./rest-crud.repositoryclass.md) &gt; [(new)](./rest-crud.repositoryclass._new_.md)

## RepositoryClass.(new)

<b>Signature:</b>

```typescript
new (ds: juggler.DataSource): EntityCrudRepository<T, IdType, Relations>;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  ds | <code>juggler.DataSource</code> |  |

<b>Returns:</b>

`EntityCrudRepository<T, IdType, Relations>`


